Bug 433892 - Review Request: xfce4-gsynaptics-mcs-plugin - GSynaptics icon for the Xfce Settings Manager
Review Request: xfce4-gsynaptics-mcs-plugin - GSynaptics icon for the Xfce Se...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 18:02 EST by Christoph Wickert
Modified: 2008-07-28 16:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 15:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-02-21 18:02:06 EST
Spec URL:
http://cwickert.fedorapeople.org/review/xfce4-gsynaptics-mcs-plugin.spec
SRPM URL:
http://cwickert.fedorapeople.org/review/xfce4-gsynaptics-mcs-plugin-1.0.0-1.fc9.src.rpm
Description:
A simple MCS plugin for Xfce that starts gsynaptics when invoked and launches gsynaptics-init once loaded by the MCS manager.
Comment 1 Kevin Fenzi 2008-03-02 13:13:06 EST
I'd be happy to review this package. 

Look for a full review in a bit here. 
Comment 2 Kevin Fenzi 2008-03-02 13:26:29 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
57ecdd4983ab55614019d4b5a581398e  gsynaptics-mcs-plugin-1.0.0.tar.bz2
57ecdd4983ab55614019d4b5a581398e  gsynaptics-mcs-plugin-1.0.0.tar.bz2.spec
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint says:

xfce4-gsynaptics-mcs-plugin-debuginfo.x86_64: E: description-line-too-long This
package provides debug information for package xfce4-gsynaptics-mcs-plugin.

Just due to the length of package name I guess. Ignore.

No other issues that I see here, so this package is APPROVED.
Comment 3 Christoph Wickert 2008-03-03 17:35:42 EST
New Package CVS Request
=======================
Package Name: xfce4-gsynaptics-mcs-plugin
Short Description: GSynaptics icon for the Xfce Settings Manager
Owners: cwickert
Branches: F-7 F-8 devel
InitialCC: kevin
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-03-03 22:00:16 EST
cvs done.
Comment 5 Christoph Wickert 2008-03-04 16:24:28 EST
Thanks a lot. 

(In reply to comment #2)
> OK - Should build on all supported archs

I just realized that it does not build on ppc64 because there are no
(g)synaptics packages on these arches, see bug # 242323. So I added
  ExclusiveArch: %{ix86} x86_64 ppc
and a few comments on that like Thorsten did in bug #169795.

Packages for F-7, F-8 and devel have been built. Closing.
Comment 6 Fedora Update System 2008-03-04 16:32:10 EST
xfce4-gsynaptics-mcs-plugin-1.0.0-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-04 16:32:55 EST
xfce4-gsynaptics-mcs-plugin-1.0.0-1.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-03-16 15:28:16 EDT
xfce4-gsynaptics-mcs-plugin-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-03-16 15:29:26 EDT
xfce4-gsynaptics-mcs-plugin-1.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Christoph Wickert 2008-07-26 20:57:07 EDT
Since both gsynaptics and xfce4-gsynaptics-mcs-plugin are available for ppc64 in
>= F-8 now I'm removing the blocker on bug #238953.
Comment 11 Christoph Wickert 2008-07-26 22:00:20 EDT
I'd like to rename the upcoming build of this package to
xfce-mcs-plugin-gsynaptics. Rationale: To be consistent with other the rest of
the mcs-plugins. We already have xfce-mcs-plugins, xfce-mcs-plugins-extra is in
review and more plugins are planned (for example my xfce-mcs-plugin-pavucontrol).

You might want to take a look at the new spec to make sure all
Provides/Obsoletes are correct, so here it is:
http://cwickert.fedorapeople.org/xfce4/xfce-mcs-plugin-gsynaptics.spec

Package Change Request
======================
New Package Name: xfce-mcs-plugin-gsynaptics
Comment 12 Kevin Fenzi 2008-07-28 12:11:59 EDT
ok, I will create the new package name, can you follow the package end of life
procedures for the old name? 

http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

Did you just want devel here? Or also F8/F9? 
Comment 13 Christoph Wickert 2008-07-28 14:38:13 EDT
Sorry for not being more precise. devel is enough, I don't want to make this
change in a stable release. TIA!
Comment 14 Kevin Fenzi 2008-07-28 16:24:10 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.